%define  ver  0.8
%define  rel  %mkrel 1

Name:     sylfilter
Summary:  A generic message filter library and command-line tools
Summary(ja):  汎用のメッセージフィルタライブラリとコマンドラインツール
Version:  %{ver}
Release:  %{rel}
License:  BDS-like
Group:    Networking/Mail
URL:      http://sylpheed.sraoss.jp/sylfilter/
Source0:  sylfilter-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  sqlite3-devel
BuildRequires:  glib2-devel
Requires:  glib2
Requires:  %{_lib}sqlite3_0

%description
This is SylFilter, a generic message filter library and command-line tools.
SylFilter provides a bayesian filter which is very popular as a spam filtering algorithm.
SylFilter is also internationalized and can be applied to any languages.

SylFilter library provides simple but powerful C APIs and can be used from C programs.

SylFilter command-line tool can be used as a junk filter program like major tools such as bogofilter and bsfilter etc.

%description -l ja
SylFilter (仮称) は汎用のメッセージフィルタライブラリとコマンドラインツールです。
SylFilter は spam フィルタのアルゴリズムとしてよくつかわれるベイジアンフィルタを提供します。
また、SylFilter は最適化されており、任意の言語に適用できます。

SylFilter ライブラリはシンプルかつ強力な C API を提供し、C のプログラムから使用できます。
ライブラリのユーザは提供されるフィルタとオリジナルの自作フィルタを任意に組み合わせて使用できます。

SylFilter コマンドラインツールは、 bogofilter, bsfilter などのよく知られるツールと同様に、迷惑メールフィルタプログラムとして使用できます。
使用方法については下記URLのページを参照してください。
http://sylpheed.sraoss.jp/sylfilter/


%prep
%setup -q

%build
%configure2_5x --with-libsylph=builtin --disable-rpath
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/{*.a,*.la}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/sylfilter
%{_libdir}/libsylfilter.*
%{_includedir}/sylfilter/*.h


%changelog
* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 0.8-1pclos2013
- 0.8 imported from tomcat
